Bug 111989 - [PATCH] net/scapy: add some options
Summary: [PATCH] net/scapy: add some options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-21 20:30 UTC by R.Mahmatkhanov
Modified: 2007-04-24 15:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.48 KB, patch)
2007-04-21 20:30 UTC, R.Mahmatkhanov
no flags Details | Diff
smime.p7s (3.31 KB, application/x-pkcs7-signature)
2007-04-23 13:14 UTC, VANHULLEBUS Yvan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2007-04-21 20:30:01 UTC
- Add optional dependencies on p0f, nmap, queso and wireshark's databases (inspired by this comment in Makefile: 
 """
 TODO: - configurable --enable-xxx for various additional dependancies
 """
 ).
- Correct database files locations.
- Bump PORTREVISION.

Fix: - After patch applying create ``files'' subdirectory in net/scapy. Then move created patch-scapy.py into net/scapy/files subdirectory. 

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-04-21 20:30:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Li-Wen Hsu freebsd_committer 2007-04-22 07:27:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lwhsu

I'll take it.
Comment 3 VANHULLEBUS Yvan 2007-04-23 13:14:24 UTC
On Sat, Apr 21, 2007 at 07:30:06PM +0000, Edwin Groothuis wrote:
> Maintainer of net/scapy,
> 
> Please note that PR ports/111989 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/111989


Patch is ok for me, thanks for it.


Yvan.

-- 
NETASQ
http://www.netasq.com
Comment 4 Li-Wen Hsu freebsd_committer 2007-04-23 17:17:29 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 5 dfilter service freebsd_committer 2007-04-24 15:25:10 UTC
lwhsu       2007-04-24 14:24:59 UTC

  FreeBSD ports repository

  Modified files:
    net/scapy            Makefile 
  Added files:
    net/scapy/files      patch-scapy.py 
  Log:
  - Add optional dependencies on p0f, nmap, queso and wireshark's databases
  - Correct database files locations
  - Bump PORTREVISION
  
  PR:             111989
  Submitted by:   "R.Mahmatkhanov" <R.Mahmatkhanov AT SKYLINK.ru>
  Approved by:    VANHULLEBUS Yvan <yvan.vanhullebus AT netasq.com> (maintainer)
                  clsung (mentor, implicitly)
  
  Revision  Changes    Path
  1.5       +22 -1     ports/net/scapy/Makefile
  1.1       +24 -0     ports/net/scapy/files/patch-scapy.py (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Li-Wen Hsu freebsd_committer 2007-04-24 15:25:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!